PIP-DOWNLOAD(1)

NAME
pip-download - description of pip download command

DESCRIPTION

Download packages from:

•   PyPI (and other indexes) using requirement specifiers.

•   VCS project urls.

•   Local project directories.

•   Local or remote source archives.

    pip also supports downloading from "requirements files", which provide an easy way to specify a whole environment to be downloaded.

USAGE

pip [options] <requirement specifier> [package-index-options] ...
pip [options] -r <requirements file> [package-index-options] ...
pip [options] <vcs project url> ...
pip [options] <local project path> ...
pip [options] <archive url/path> ...

OPTIONS

-c, --constraint <file>
    Constrain versions using the given constraints file. This option can be used multiple times.

-r, --requirement <file>
    Install from the given requirements file. This option can be used multiple times.

-b, --build <dir>
    Directory to unpack packages into and build in. Note that an initial build still takes place in a temporary directory. The location of temporary directories can be controlled by setting the TMPDIR environment variable (TEMP on Windows) appropriately. When passed, build directories are not cleaned in case of failures.

--no-deps
    Don't install package dependencies.

--global-option <options>
    Extra global options to be supplied to the setup.py call before the install command.

--no-binary <format_control>
    Do not use binary packages. Can be supplied multiple times, and each time adds to the existing value. Accepts either :all: to disable all binary packages, :none: to empty the set, or one or more package names with commas between them. Note that some packages are tricky to compile and may fail to install when this option is used on them.

--only-binary <format_control>
    Do not use source packages. Can be supplied multiple times, and each time adds to the existing value. Accepts either :all: to disable all source packages, :none: to empty the set, or one or more package names with commas between them. Packages without binary distributions will fail to install when this option is used on them.

--prefer-binary
    Prefer older binary packages over newer source packages.

--src <dir>
    Directory to check out editable projects into. The default in a virtualenv is "<venv path>/src". The default for global installs is "<current dir>/src".

--pre
    Include pre-release and development versions. By default, pip only finds stable versions.

--no-clean
    Don't clean up build directories).

--require-hashes
    Require a hash to check each requirement against, for repeatable installs. This option is implied when any package in a requirements file has a --hash option.

--progress-bar <progress_bar>
    Specify type of progress to be displayed [off|on|ascii|pretty|emoji] (default: on)

--no-build-isolation
    Disable isolation when building a modern source distribution. Build dependencies specified by PEP 518 must be already installed if this option is used.

-d, --dest <dir>
    Download packages into <dir>.

--platform <platform>
    Only download wheels compatible with <platform>. Defaults to the platform of the running system.

--python-version <python_version>
    Only download wheels compatible with Python interpreter version <version>. If not specified, then the current system interpreter minor version is used. A major version (e.g. '2') can be specified to match all minor revs of that major version. A minor version (e.g. '34') can also be specified.

--implementation <implementation>
    Only download wheels compatible with Python implementation <implementation>, e.g. 'pp', 'jy', 'cp', or 'ip'. If not specified, then the current interpreter implementation is used. Use 'py' to force implementation-agnostic wheels.

--abi <abi>
    Only download wheels compatible with Python abi <abi>, e.g. 'pypy_41'. If not specified, then the current interpreter abi tag is used. Generally you will need to specify --implementation, --platform, and --python-version when using this option.

AUTHOR
pip developers

COPYRIGHT
2008-2018, PyPA